<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:40 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PreRegistrationDataSyncDAO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PreRegistrationDataSyncDAO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PreRegistrationDataSyncDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/PolicySyncDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/RegistrationCenterDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/PreRegistrationDataSyncDAO.html" target="_top">Frames</a></li>
<li><a href="PreRegistrationDataSyncDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dao</div>
<h2 title="Interface PreRegistrationDataSyncDAO" class="title">Interface PreRegistrationDataSyncDAO</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../io/mosip/registration/dao/impl/PreRegistrationDataSyncDAOImpl.html" title="class in io.mosip.registration.dao.impl">PreRegistrationDataSyncDAOImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PreRegistrationDataSyncDAO</span></pre>
<div class="block">pre registartion DAO</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>YASWANTH S</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#deleteAll-java.util.List-">deleteAll</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;&nbsp;preRegistrationList)</code>
<div class="block">Delete list of Pre-Registartions</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#fetchRecordsToBeDeleted-java.util.Date-">fetchRecordsToBeDeleted</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;startDate)</code>
<div class="block">Fetch the Pre-Reg Records that needs to be deleted</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegId)</code>
<div class="block">To get pre registration</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#getAllPreRegPackets--">getAllPreRegPackets</a></span>()</code>
<div class="block">Fetches all the pre registration packets available in the db</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#save-io.mosip.registration.entity.PreRegistrationList-">save</a></span>(<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;preRegistration)</code>
<div class="block">To save new Pre registration</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html#update-io.mosip.registration.entity.PreRegistrationList-">update</a></span>(<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;preReg)</code>
<div class="block">Update the Deleted Pre-Reg Records in the table</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="get-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;get(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegId)</pre>
<div class="block">To get pre registration</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preRegId</code> - pre registration id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PreRegistrationList pre registartion entity</dd>
</dl>
</li>
</ul>
<a name="save-io.mosip.registration.entity.PreRegistrationList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;save(<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;preRegistration)</pre>
<div class="block">To save new Pre registration</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preRegistration</code> - pre reg entity object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PreRegistrationList saved pre registartion</dd>
</dl>
</li>
</ul>
<a name="fetchRecordsToBeDeleted-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchRecordsToBeDeleted</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;&nbsp;fetchRecordsToBeDeleted(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;startDate)</pre>
<div class="block">Fetch the Pre-Reg Records that needs to be deleted</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startDate</code> - - start date to fetch pre reg data</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List - pre reg list to be deleted</dd>
</dl>
</li>
</ul>
<a name="update-io.mosip.registration.entity.PreRegistrationList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre><a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;update(<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&nbsp;preReg)</pre>
<div class="block">Update the Deleted Pre-Reg Records in the table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preReg</code> - - pre reg entity object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PreRegistrationList - pre reg entity</dd>
</dl>
</li>
</ul>
<a name="deleteAll-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteAll</h4>
<pre>void&nbsp;deleteAll(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;&nbsp;preRegistrationList)</pre>
<div class="block">Delete list of Pre-Registartions</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preRegistrationList</code> - pre registation list</dd>
</dl>
</li>
</ul>
<a name="getAllPreRegPackets--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllPreRegPackets</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a>&gt;&nbsp;getAllPreRegPackets()</pre>
<div class="block">Fetches all the pre registration packets available in the db</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List - pre reg list</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PreRegistrationDataSyncDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/PolicySyncDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/RegistrationCenterDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/PreRegistrationDataSyncDAO.html" target="_top">Frames</a></li>
<li><a href="PreRegistrationDataSyncDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
